Subject: bug#58149: guix pull error

From: Matthieu Haefele <[email-masked]>
Date: Thu, 6 Oct 2022 12:10:56 +0200

Hi,

Le 06/10/2022 à 10:47, Ludovic Courtès a écrit :
> Hi,
>
> Matthieu Haefele <[email-masked]> skribis:
>
>>>     sudo -i guix package -r guix -i \
>>>       /gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af
>> I am getting an error when trying to remove the guix package as it is not part of the profile, so I just try to install the package
> Could you try with ‘--bootstrap’ as shown below?
>
>     sudo -i guix package --bootstrap -r guix -i \
>       /gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af
>
Victory !!

     (base) mhaefele@mdlspc113:tmp $ /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --version
     guile: warning: failed to install locale
     guix-daemon (GNU Guix) 1.3.0-30.17134b9

And the `guix pull` runs smoothly now, thanks a lot  :)

Now it is fixed I have two questions:
1. What am I doing wrong to have stuck to this old guix daemon all this time ? Shall I run this `sudo -i guix pull` regularly to 
keep my daemon up to date ? But then it looks like I am the only one who faced this issue, weird, no ? And problems should have 
started back in February, but I intensively worked on guix this summer, including some `guix pull`... If reasons are not too 
complicated, I am interested in getting some insights.

2. We have tried out several things. If I have a colleague in a similar situation, could you confirm the following procedure:

    /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --version
    # should answer something like "guix-daemon (GNU Guix) 1.0.1"

    guix build \
     /gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af

    sudo -i guix package --bootstrap -p /root/.config/guix/current \
     -r guix  -i  /gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af

      systemctl restart guix-daemon

    /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --version
    # should answer "guix-daemon (GNU Guix) 1.2.0rc2-1.0d4b1af"

    sudo -i guix pull

    systemctl restart guix-daemon

    /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --version
    # should answer something like "guix-daemon (GNU Guix) 1.3.0-30.17134b9"

Agree ?

Thanks

Mat